> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ウォレット - 初回入金取引

> 1つまたは複数のウォレットの最初の入金トランザクションを取得



## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml GET /v2/wallet/{chain}/first-tx
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/wallet/{chain}/first-tx:
    get:
      tags:
        - Wallet
      summary: ウォレット - 初回入金トランザクション
      description: 1つまたは複数のウォレットの最初の入金トランザクションを取得
      operationId: get.wallet.first.tx
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: walletAddresses
          in: query
          description: カンマ (,) で区切られたウォレットアドレスのリスト。最大100件のウォレットアドレスが許可されています
          required: true
          schema:
            type: string
          example: >-
            3bovD5jCRn7eG64jZqyEz6Zbx92mHixZSTRrWLy1Sirx,FrxXcJ1uUHa9A5jxgNFBxT4bHBnFVQZbxJa2Je3gjotP
      responses:
        '200':
          description: 成功レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletsMapResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    WalletsMapResponse:
      type: object
      required:
        - wallets
      properties:
        wallets:
          type: object
          description: ウォレットアドレスから初回トランザクション情報へのマップ
          additionalProperties:
            $ref: '#/components/schemas/WalletFirstTx'
          propertyNames:
            type: string
          example:
            3bovD5jCRn7eG64jZqyEz6Zbx92mHixZSTRrWLy1Sirx:
              balanceChange: '0'
              blockNumber: 398645949
              blockTime: 1717292678000
              decimals: 9
              tokenAddress: '11111111111111111111111111111111'
              txHash: 5rG9igZk95gbS8ZG66upvRfbcaaDpokQYg4ny3WQ3DrA...
    WalletFirstTx:
      type: object
      description: Wallet first transaction summary
      required:
        - txHash
        - blockTime
        - blockNumber
        - balanceChange
        - tokenAddress
        - decimals
      properties:
        balanceChange:
          type: string
          description: 初回トランザクションからの残高変動
          example: '0'
        blockNumber:
          type: integer
          format: int64
          description: ブロック番号
          example: 398645949
        blockTime:
          type: integer
          format: int64
          description: ブロックタイムスタンプ（ミリ秒）
          example: 1717292678000
        decimals:
          type: integer
          format: int32
          description: トークンの小数点以下桁数
          example: 9
        tokenAddress:
          type: string
          description: トークンコントラクトアドレス
          example: '11111111111111111111111111111111'
        txHash:
          type: string
          description: 初回入金トランザクションハッシュ
          example: 5rG9igZk95gbS8ZG66upvRfbcaaDpokQYg4ny3WQ3DrA...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````